<?
/*******************************************************************************
*    WMail 1.0. Webmail for PHP                                                *
*    Using DB Framwork for PHP  1.1.                                           *
*    Copyright (C) 2006 Luca Bertoncello                                       *
*    Hartigstrasse, 12 - 01127 Dresden Deutschland                             *
*    E-Mail: lucabert@lucabert.de, lucabert@lucabert.com                       *
*    http://www.lucabert.de/  http://www.lucabert.com/                         *
*                                                                              *
*    This program is free software; you can redistribute it and/or modify      *
*    it under the terms of the GNU General Public License as published by      *
*    the Free Software Foundation; version 2 of the License.                   *
*                                                                              *
*    This program is distributed in the hope that it will be useful,           *
*    but WITHOUT ANY WARRANTY; without even the implied warranty of            *
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             *
*    GNU General Public License for more details.                              *
*                                                                              *
*    You should have received a copy of the GNU General Public License         *
*    along with this program; if not, write to the Free Software               *
*    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA *
*******************************************************************************/

require_once('auth.inc.php');
require_once('session.inc.php');
require_once('attribute.inc.php');

$auth = $session[auth_data];

function displayRecipient($rec, $msg)
{
  global $auth;
  global $isSent;
  global $setMailbox;

  dbConnect();
  $cur = getCurAcc($auth, $setMailbox);
  $recs = explode(',', $rec);
  for($l = 0; $l < count($recs); $l++)
  {
    $r = ltrim($recs[$l]);
    $rO = $r;
    if(strpos($r, '(by way of ') != 0)
      $r = substr($r, 0, strpos($r, '(by way of ') - 1);
    echo htmlentities($rO);

    if(strpos($r, '<') != 0)
      $add = strtolower(substr($r, strpos($r, '<') + 1, strpos($r, '>') - strpos($r, '<') - 1));
    else
      $add = strtolower($r);
    $nok = 0;
    foreach($auth->getAliases() as $identity)
      if(strtolower($identity['Aliasname']) == $add)
        $nok = 1;
    if($nok == 0)
    {
      $r = str_replace("\"", "", $r);
      $res = dbQuery("SELECT COUNT(*) FROM addressbook WHERE account = '".$cur['POP3-User']."' AND LOWER(email) = '$add'");
      $id = dbFetchArray($res);
      if($id[0] == 0)
        print " <a href=\"addbook.php?sid=".session_id()."&new=true&setMailbox=$setMailbox&isSent=$isSent&msg=$msg&toadd=".urlencode($r)."\"><img src=\"/images/newab.png\" alt=\"".sprintf(_('%s ins Adressbuch speichern'), $r)."\" title=\"".sprintf(_('%s ins Adressbuch speichern'), $r)."\" border=\"0\"></a>";
    }
    if($l < count($recs) - 1)
      echo ", ";
  }
  dbDisconnect();
}

$backToMain = 0;
if($deleteMsg != '')
{
  $cur = getCurAcc($auth, $setMailbox);
  $pop3 =& new Net_POP3();
  $pop3->connect($cur['POP3'], 110);
  $pop3->login($cur['POP3-User'], $cur['POP3-Pwd']);
  $pop3->deleteMsg($deleteMsg);
  if($pop3->numMsg() == 0)
    $backToMain = 1;
  $pop3->disconnect();
  dbConnect();
  dbQuery("DELETE FROM indexes WHERE account = '".$cur['POP3-User']."' AND tmsg = $deleteMsg");
  dbQuery("UPDATE indexes SET nmsg = nmsg - 1, tmsg = tmsg - 1 WHERE account = '".$cur['POP3-User']."' AND tmsg > $deleteMsg AND sent = '$isSent';");
  dbQuery("UPDATE indexes SET tmsg = tmsg - 1 WHERE account = '".$cur['POP3-User']."' AND tmsg > $deleteMsg AND sent != '$isSent';");
  $res = dbQuery("SELECT COUNT(*) FROM indexes WHERE account = '".$cur['POP3-User']."' AND sent = '$isSent'");
  $id = dbFetchArray($res);
  if($id[0] == 0)
    $backToMain = 1;
  if($backToMain == 0)
  {
    $msg = 0;
    while($msg == 0)
    {
      $res = dbQuery("SELECT COUNT(*) FROM indexes WHERE account = '".$cur['POP3-User']."' AND sent = '$isSent' AND tmsg = $deleteMsg");
      $id = dbFetchArray($res);
      if($id[0] == 0)
        $deleteMsg--;
      else
        $msg = $deleteMsg;
    }
  }
  dbDisconnect();
}

if($backToMain == 1)
  header("LOCATION: main.php?sid=".session_id()."&setMailbox=$setMailbox&viewSent=$isSent");

function displayBody($bodyToDisplay)
{
  if($bodyToDisplay->ctype_secondary == 'html')
    print $bodyToDisplay->body."\n";
  else
  {
    if(strcasecmp($bodyToDisplay->ctype_primary, 'image') != 0)
    {
      if(ini_get('default_charset') != '')
        $fromCharset = ini_get('default_charset');
      else
        $fromCharset = 'iso-8859-15';
      if(isset($bodyToDisplay->ctype_parameters) && !is_array($bodyToDisplay->ctype_parameters))
        $bodyD = htmlentities(wordwrap(iconv($bodyToDisplay->ctype_parameters['charset'], $fromCharset, $bodyToDisplay->body).' ', 100));
      else
        $bodyD = htmlentities(wordwrap($bodyToDisplay->body.' ', 100));
      $bodyB = preg_replace('/(http|https|ftp)\:\/\/(\S+)\s/i', '<a target="_blank" href="${1}://${2}">${1}://${2}</a> ', $bodyD);
      print "<pre>$bodyB</pre>\n";
    }
  }
}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<title><? echo _('WMail: ein Webmail f&uuml;r PHP'); ?></title>
<meta content='width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0' name='viewport' />
<meta name="viewport" content="width=device-width" />
<link href="/images/default.css" rel="stylesheet" type="text/css">
<link href="/images/mobile.css" media='all and (max-width: 839px)' rel="stylesheet" type="text/css"  />
<link rel="shortcut icon" href="/images/wmlogo.ico" >
</head>
<body>
<?
include_once 'menu.inc.php';
include_once 'mailboxes.inc.php';

if($msg > $mbs[$curAcc['Name'].'_nMsg'])
  $msg = $mbs[$curAcc['Name'].'_nMsg'];

dbConnect();
$mails = array();
$res = dbQuery("SELECT id, nmsg, tmsg FROM indexes WHERE account = '".$curAcc['POP3-User']."' AND sent = '$isSent' ORDER BY tmsg");
while($id = dbFetchArray($res))
  $mails[$id[0]] = array('nmsg' => $id[1], 'tmsg' => $id[2]);
$res = dbQuery("SELECT COUNT(*) FROM indexes WHERE account = '".$curAcc['POP3-User']."' AND sent = 't'");
$nSent = dbFetchArray($res);
$dateFormat = getAttribute('DATEFORMAT', '%D.%M.%Y %H:%I.%S');
dbDisconnect();

$mail = readMail($curAcc, $msg);
$mailHeaders = $mail['Headers'];
$mailBody = $mail['Body'];

foreach(array_keys($mailHeaders) as $h)
{
  if(strtoupper($h) == 'FROM')
    $p1 = $mailHeaders[$h];
  if(strtoupper($h) == 'DELIVERY-DATE')
    $p2 = $mailHeaders[$h];
}
$p1 = str_replace('\\', '', $p1);
$thisMsgId = $p1.'_'.$p2;

if($isSent == 't')
  $tot = $nSent[0];
else
  $tot = $mbs[$curAcc['Name'].'_nMsg'] - $nSent[0];
?>
<div id="mailbox" class="mailbox">
  <table width="100%" cellpadding="0" cellspacing="0">
    <tr>
      <td class="mailbox" width="100%">
        <table width="100%">
          <tr>
            <td width="80%"><h2><? if($isSent == 't') echo $curAcc['Sent']; else echo $curAcc['Name']; echo ': '.sprintf(_('Nachricht %d von %d'), $mails[$thisMsgId]['nmsg'], $tot); ?></h2></td>
            <td width="15%" class="backTo"><a class="mailboxes" href="main.php?sid=<? print session_id(); ?>&setMailbox=<? print $curAcc['Name']; ?>&viewSent=<? if($isSent == 't') echo 'true'; else echo 'false'; ?>"><? echo _('Zur&uuml;ck zur '); if($isSent == 'f') echo $curAcc['Name']; else echo $curAcc['Sent']; ?></a></td>
            <td width="5%">
<?
$prev = 0;
foreach($mails as $m)
{
  if($m['nmsg'] == $mails[$thisMsgId]['nmsg'])
    break;
  $prev = $m['tmsg'];
}
$next = 0;
foreach(array_reverse($mails) as $m)
{
  if($m['nmsg'] == $mails[$thisMsgId]['nmsg'])
    break;
  $next = $m['tmsg'];
}
if($prev != 0)
  echo "<a href=\"view.php?sid=".session_id()."&setMailbox=".$curAcc['Name']."&msg=$prev&isSent=$isSent\">";
?><img id="backToPrevious" border="0" src="/images/<? if($prev != 0) echo "left.png"; else echo "left-grey.png"; ?>" alt="<? echo _('Vorige Meldung'); ?>" title="<? echo _('Vorige Meldung'); ?>"><?
if($msg != 1)
  echo "</a>";
if($mails[$thisMsgId]['nmsg'] < count($mails))
  echo "<a href=\"view.php?sid=".session_id()."&setMailbox=".$curAcc['Name']."&msg=$next&isSent=$isSent\">";
?><img id="backToNext" border="0" src="/images/<? if($mails[$thisMsgId]['nmsg'] < count($mails)) echo "right.png"; else echo "right-grey.png"; ?>" alt="<? echo _('Folgende Meldung'); ?>" title="<? echo _('Folgende Meldung'); ?>"><?
if($mails[$thisMsgId]['nmsg'] < count($mails))
  echo "</a>";
?>
            </td>
          </tr>
          <tr>
            <td width="100%" colspan="3">
<a href="view.php?sid=<? print session_id(); ?>&setMailbox=<? echo $curAcc['Name']; ?>&deleteMsg=<? print $msg; ?>&isSent=<? print $isSent; ?>" class="mailmenu cmd"><? echo _('L&ouml;schen'); ?></a><span class="mailmenu_separator">&nbsp;|&nbsp;</span><span class="mailmenu_separator">&nbsp;|&nbsp;</span><span class="mailmenu_separator2"><br/></span>
<?
if($isSent != 't')
{
?>
<a href="compose.php?sid=<? print session_id(); ?>&action=new&setMailbox=<? echo $curAcc['Name']; ?>&replyMsg=<? print $msg; ?>&isSent=<? print $isSent; ?>" class="mailmenu cmd"><? echo _('Antworten'); ?></a><span class="mailmenu_separator">&nbsp;|&nbsp;</span>
<a href="compose.php?sid=<? print session_id(); ?>&action=new&setMailbox=<? echo $curAcc['Name']; ?>&replyAllMsg=<? print $msg; ?>&isSent=<? print $isSent; ?>" class="mailmenu cmd"><? echo _('An alle antworten'); ?></a><span class="mailmenu_separator">&nbsp;|&nbsp;</span><span class="mailmenu_separator2"><br/></span>
<?
}
?>
<a href="compose.php?sid=<? print session_id(); ?>&action=new&setMailbox=<? echo $curAcc['Name']; ?>&forwardMsg=<? print $msg; ?>&isSent=<? print $isSent; ?>" class="mailmenu cmd"><? echo _('Weiterleiten'); ?></a><span class="mailmenu_separator">&nbsp;|&nbsp;</span>
<a href="compose.php?sid=<? print session_id(); ?>&action=new&setMailbox=<? echo $curAcc['Name']; ?>&forwardMsg=<? print $msg; ?>&isSent=<? print $isSent; ?>&redirect=true" class="mailmenu cmd"><? echo _('Umleiten'); ?></a>
            </td>
          </tr>
        </table>
      </td>
    </tr>
  </table>
</div>
<?
foreach(array_keys($mailHeaders) as $h)
{
  if(strtoupper($h) == 'FROM')
    $p1 = $mailHeaders[$h];
  if(strtoupper($h) == 'DELIVERY-DATE')
    $p2 = $mailHeaders[$h];
}
$msgId = $p1.'_'.$p2;

dbConnect();
$msgId = str_replace('\\', '', $msgId);
mysql_query("UPDATE indexes SET sread = 't' WHERE account = '".$curAcc['POP3-User']."' AND id = '".mysql_escape_string($msgId)."'");
dbDisconnect();
$date = getEMailDate($mailHeaders['Date']);
?>
<div id="mail">
  <table width="100%">
    <tr>
      <td class="mailHeaders" width="100%">
        <table width="100%">
          <tr>
            <td width="90%" valign="top">
              <table>
<?
if($showAllHeader == 'true')
{
  foreach(array_keys($mailHeaders) as $head)
  {
    if(!is_array($mailHeaders[$head]))
    {
?>
                <tr>
                  <td valign="top"><b>
<?
      switch($head)
      {
        case 'Date':
          echo _('Datum').':';
        break;
        case 'From':
          echo _('Von').':';
        break;
        case 'To':
          echo _('An').':';
        break;
        case 'Cc':
          echo _('Cc').':';
        break;
        case 'Subject':
          echo _('Betreff').':';
        break;
        default:
          echo "$head:";
      }
?>
                  </b></td>
                  <td valign="top"><? $s = decodeHeader($mailHeaders[$head]); echo nl2br(htmlentities($s)); ?></td>
                </tr>
<?
    }
    else
    {
      for($rec = 0; $rec < count($mailHeaders[$head]); $rec++)
      {
?>
                <tr>
                  <td valign="top"><b><? echo "$head:"; ?></b></td>
                  <td valign="top"><? echo htmlentities($mailHeaders[$head][$rec]); ?></td>
                </tr>
<?
      }
    }
  }
?>
                <tr>
                  <td colspan="2"><a href="view.php?sid=<? print session_id(); ?>&setMailbox=<? echo $curAcc['Name']; ?>&msg=<? print $msg; ?>&showAllHeader=false&isSent=<? print $isSent; ?>" class="mailmenu"><? echo _('Nur begrenzte Kopfzeilen anzeigen'); ?></a></td>
                </tr>
<?
}
else
{
?>
                <tr>
                  <td valign="top"><b><? echo _('Datum').':'; ?></b></td>
                  <td valign="top"><? echo $date->toString($dateFormat); ?></td>
                </tr>
                <tr>
                  <td valign="top"><b><? echo _('Von').':'; ?></b></td>
                  <td valign="top"><? $s = decodeHeader($mailHeaders['From']); displayRecipient($s, $msg); ?></td>
                </tr>
                <tr>
                  <td valign="top"><b><? echo _('An').':'; ?></b></td>
                  <td valign="top"><? $s = decodeHeader($mailHeaders['To']); displayRecipient($s, $msg); ?></td>
                </tr>
<?
  if($mailHeaders['Cc'] != '')
  {
?>
                <tr>
                  <td valign="top"><b><? echo _('Cc').':'; ?></b></td>
                  <td valign="top"><? $s = decodeHeader($mailHeaders['Cc']); displayRecipient($s, $msg); ?></td>
                </tr>
<?
  }
?>
                <tr>
                  <td valign="top"><b><? echo _('Betreff').':'; ?></b></td>
                  <td valign="top"><? $s = decodeHeader($mailHeaders['Subject'], '%%NOSUBJECT%%'); if($s == '%%NOSUBJECT%%') echo '<i>'._('(Kein Betreff)').'</i>'; else echo htmlentities($s); ?></td>
                </tr>
<?
  if($mailHeaders['X-Priority'] != '' && substr($mailHeaders['X-Priority'], 0, 1) != '3')
  {
?>
                <tr>
                  <td valign="middle"><b><? echo _('Priorit&auml;t').':'; ?></b></td>
                  <td valign="middle">
                    <table width="100%" border="0">
                      <tr>
<?
    if(substr($mailHeaders['X-Priority'], 0, 1) == '1' || substr($mailHeaders['X-Priority'], 0, 1) == '2')
      echo "<td valign=\"middle\" width=\"10\"><img src=\"/images/priority-high.png\" alt=\"\"></td>";
    if(substr($mailHeaders['X-Priority'], 0, 1) == '4' || substr($mailHeaders['X-Priority'], 0, 1) == '5')
      echo "<td valign=\"middle\" width=\"10\"><img src=\"/images/priority-low.png\" alt=\"\"></td>";
    echo "<td valign=\"middle\" align=\"left\">".$mailHeaders['X-Priority']."</td>";
?>
                      </tr>
                    </table>
                  </td>
                </tr>
<?
  }
?>
                <tr>
                  <td colspan="2"><a href="view.php?sid=<? print session_id(); ?>&setMailbox=<? echo $curAcc['Name']; ?>&msg=<? print $msg; ?>&showAllHeader=true&isSent=<? print $isSent; ?>" class="mailmenu"><? echo _('Alle Kopfzeilen anzeigen'); ?></a></td>
                </tr>
<?
  }
?>
              </table>
            </td>
            <td width="10%" align="right" valign="top">
<?
  $xface = '';
  foreach(array_keys($mailHeaders) as $h)
  {
    if(strtoupper($h) == 'X-FACE')
      $xface = $mailHeaders[$h];
  }
  if($xface != '')
  {
    $rem = sprintf(_('X-Face von %s'), decodeHeader($mailHeaders['From']));
    echo "<img border=\"0\" src=\"/xface.php?sid=".session_id()."&setMailbox=$setMailBox&msg=$msg&isSent=$isSent\" alt=\"$rem\" title=\"$rem\">";
  }
?>
            </td>
          </tr>
        </table>
      </td>
    </tr>
  </table>
  <table width="100%">
    <tr>
      <td class="mailBody" width="100%">
        <div style="width:800px;max-width:800px;">
<?
$nAtt = 0;
if(strcasecmp($mailBody->ctype_primary, 'multipart') == 0 && is_array($mailBody->parts))
{
  $dispHTML = 0;
  foreach($mailBody->parts as $part)
  {
    if(strcasecmp($part->ctype_secondary, 'html') == 0)
      $dispHTML = 1;
  }
  foreach($mailBody->parts as $part)
  {
    if((strcasecmp($part->disposition, 'attachment') != 0) && (strcasecmp($part->ctype_primary, 'text') == 0 || strcasecmp($part->ctype_primary, 'multipart') == 0))
    {
      if(strcasecmp($part->ctype_primary, 'multipart') == 0)
      {
        $nAtt++;
        foreach($part->parts as $p1)
        {
            if(strcasecmp($p1->ctype_secondary, 'html') == 0)
              $dispHTML = 1;
        }
        foreach($part->parts as $p1)
        {
          if(!(strcasecmp($p1->ctype_secondary, 'plain') == 0 && $dispHTML == 1))
            displayBody($p1);
        }
        foreach($part->parts as $p1)
        {
          if(strcasecmp($p1->ctype_primary, 'image') == 0)
          {
            if($p1->d_parameters['filename'] != '')
              $attachmentName = $p1->d_parameters['filename'];
            if($p1->ctype_parameters['name'] != '')
              $attachmentName = $p1->ctype_parameters['name'];
            $nAtt++;
            $size = strlen($p1->body);
            if($size > 1048576)
              $sizeStr    = round($size / 1048576, 2)." Mb";
            else
              if($size > 1024)
                $sizeStr    = round($size / 1024, 2)." Kb";
              else
                $sizeStr    = "$size bytes";
?>
          <table border="1">
            <tr>
              <td><b><? print $attachmentName; ?></b></td>
              <td><? print $p1->ctype_primary.'/'.$p1->ctype_secondary; ?></td>
            </tr>
            <tr>
              <td colspan="2"><a href="saveAttachment.php?sid=<? print session_id(); ?>&setMailbox=<? echo $curAcc['Name']; ?>&msg=<? print $msg; ?>&part=<? print $nAtt; ?>&isSent=<? print $isSent; ?>" class="mailmenu" style="font-size:12px;" alt="<? printf(_('%s speichern (%s)'), $p1->d_parameters['filename'], $sizeStr); ?>" title="<? printf(_('%s speichern (%s)'), $p1->d_parameters['filename'], $sizeStr); ?>"><? echo _('Speichern'); ?>&nbsp;&nbsp;<img src="/images/download.png" alt="<? printf(_('%s speichern (%s)'), $p1->d_parameters['filename'], $sizeStr); ?>" title="<? printf(_('%s speichern (%s)'), $p1->d_parameters['filename'], $sizeStr); ?>" border="0"></a></td>
            </tr>
          </table>
<?
          }
        }
      }
      else
      {
        $nAtt++;
        if(!(strcasecmp($part->ctype_secondary, 'plain') == 0 && $dispHTML == 1))
          displayBody($part);
        if(strcasecmp($part->ctype_secondary, 'rfc822') == 0)
        {
//          $nAtt++;
          $size = 0;
          foreach(array_keys($part->parts[0]->headers) as $h)
            $size += strlen("$h: ".$part->parts[0]->headers[$h]."\n");
          $size += strlen("\n".$part->parts[0]->body);
          if($size > 1048576)
            $sizeStr    = round($size / 1048576, 2)." Mb";
          else
            if($size > 1024)
              $sizeStr    = round($size / 1024, 2)." Kb";
            else
              $sizeStr    = "$size bytes";
?>
          <table border="1">
            <tr>
              <td><b><? print $part->d_parameters['filename']; ?></b></td>
              <td><? print $part->ctype_primary.'/'.$part->ctype_secondary; ?></td>
            </tr>
            <tr>
              <td colspan="2"><a href="saveAttachment.php?sid=<? print session_id(); ?>&isRFC822=true&setMailbox=<? echo $curAcc['Name']; ?>&msg=<? print $msg; ?>&part=<? print $nAtt; ?>&isSent=<? print $isSent; ?>" class="mailmenu" style="font-size:12px;" alt="<? printf(_('%s speichern (%s)'), $part->d_parameters['filename'], $sizeStr); ?>" title="<? printf(_('%s speichern (%s)'), $part->d_parameters['filename'], $sizeStr); ?>"><? echo _('Speichern'); ?>&nbsp;&nbsp;<img src="/images/download.png" alt="<? printf(_('%s speichern (%s)'), $part->d_parameters['filename'], $sizeStr); ?>" title="<? printf(_('%s speichern (%s)'), $part->d_parameters['filename'], $sizeStr); ?>" border="0"></a></td>
            </tr>
            <tr>
              <td colspan="2">
<pre>
<?
          $bodyB = wordwrap(preg_replace('/(http|https|ftp)\:\/\/(\S+)\s/i', '<a target="_blank" href="${1}://${2}">${1}://${2}</a> ', htmlspecialchars($part->parts[0]->body)), 100);
          print "<pre>$bodyB</pre>\n";
?>
</pre>
              </td>
            </tr>
          </table>
<?
        }
      }
    }
    else
    {
      if($part->d_parameters['filename'] != '')
        $attachmentName = $part->d_parameters['filename'];
      if($part->ctype_parameters['name'] != '')
        $attachmentName = $part->ctype_parameters['name'];
      $nAtt++;
      $size = strlen($part->body);
      if($size > 1048576)
        $sizeStr    = round($size / 1048576, 2)." Mb";
      else
        if($size > 1024)
          $sizeStr    = round($size / 1024, 2)." Kb";
        else
          $sizeStr    = "$size bytes";
      if(strcasecmp($part->ctype_secondary, 'rfc822') == 0)
      {
        $isRFC822 = '&isRFC822=true';
        $nAttD = $nAtt - 1;
      }
      else
      {
        $isRFC822 = '';
        $nAttD = $nAtt;
      }
?>
          <table border="1">
            <tr>
              <td><b><? print $attachmentName; ?></b></td>
              <td><? print $part->ctype_primary.'/'.$part->ctype_secondary; ?></td>
            </tr>
            <tr>
              <td colspan="2"><a href="saveAttachment.php?sid=<? print session_id(); echo $isRFC822; ?>&setMailbox=<? echo $curAcc['Name']; ?>&msg=<? print $msg; ?>&part=<? print $nAttD; ?>&isSent=<? print $isSent; ?>" class="mailmenu" style="font-size:12px;" alt="<? printf(_('%s speichern (%s)'), $part->d_parameters['filename'], $sizeStr); ?>" title="<? printf(_('%s speichern (%s)'), $part->d_parameters['filename'], $sizeStr); ?>"><? echo _('Speichern'); ?>&nbsp;&nbsp;<img src="/images/download.png" alt="<? printf(_('%s speichern (%s)'), $part->d_parameters['filename'], $sizeStr); ?>" title="<? printf(_('%s speichern (%s)'), $part->d_parameters['filename'], $sizeStr); ?>" border="0"></a></td>
            </tr>
          </table>
<?
    }
  }
}
else
  displayBody($mailBody);
?>
        </div>
      </td>
    </tr>
  </table>
  <table width="100%" cellpadding="0" cellspacing="0" id="cmd_bottom">
    <tr>
      <td class="mailbox1" width="100%">
        <table width="100%">
          <tr>
            <td width="85%">
<a href="view.php?sid=<? print session_id(); ?>&setMailbox=<? echo $curAcc['Name']; ?>&deleteMsg=<? print $msg; ?>&isSent=<? print $isSent; ?>" class="mailmenu"><? echo _('L&ouml;schen'); ?></a>&nbsp;|&nbsp;
<?
if($isSent != 't')
{
?>
<a href="compose.php?sid=<? print session_id(); ?>&action=new&setMailbox=<? echo $curAcc['Name']; ?>&replyMsg=<? print $msg; ?>&isSent=<? print $isSent; ?>" class="mailmenu"><? echo _('Antworten'); ?></a>&nbsp;|&nbsp;
<a href="compose.php?sid=<? print session_id(); ?>&action=new&setMailbox=<? echo $curAcc['Name']; ?>&replyAllMsg=<? print $msg; ?>&isSent=<? print $isSent; ?>" class="mailmenu"><? echo _('An alle antworten'); ?></a>&nbsp;|&nbsp;
<?
}
?>
<a href="compose.php?sid=<? print session_id(); ?>&action=new&setMailbox=<? echo $curAcc['Name']; ?>&forwardMsg=<? print $msg; ?>&isSent=<? print $isSent; ?>" class="mailmenu"><? echo _('Weiterleiten'); ?></a>&nbsp;|&nbsp;
<a href="compose.php?sid=<? print session_id(); ?>&action=new&setMailbox=<? echo $curAcc['Name']; ?>&forwardMsg=<? print $msg; ?>&isSent=<? print $isSent; ?>&redirect=true" class="mailmenu"><? echo _('Umleiten'); ?></a>
            </td>
            <td width="10%"><a class="mailboxes" href="main.php?sid=<? print session_id(); ?>&setMailbox=<? print $curAcc['Name']; ?>&viewSent=<? if($isSent == 't') echo 'true'; else echo 'false'; ?>"><? echo _('Zur&uuml;ck zur '); if($isSent == 'f') echo $curAcc['Name']; else echo $curAcc['Sent']; ?></a></td>
            <td width="5%" align="right">
<?
if($prev != 0)
  echo "<a href=\"view.php?sid=".session_id()."&setMailbox=".$curAcc['Name']."&msg=$prev&isSent=$isSent\">";
?><img id="backToPrevious" border="0" src="/images/<? if($prev != 0) echo "left.png"; else echo "left-grey.png"; ?>" alt="<? echo _('Vorige Meldung'); ?>" title="<? echo _('Vorige Meldung'); ?>"><?
if($msg != 1)
  echo "</a>";
if($mails[$thisMsgId]['nmsg'] < count($mails))
  echo "<a href=\"view.php?sid=".session_id()."&setMailbox=".$curAcc['Name']."&msg=$next&isSent=$isSent\">";
?><img id="backToNext" border="0" src="/images/<? if($mails[$thisMsgId]['nmsg'] < count($mails)) echo "right.png"; else echo "right-grey.png"; ?>" alt="<? echo _('Folgende Meldung'); ?>" title="<? echo _('Folgende Meldung'); ?>"><?
if($mails[$thisMsgId]['nmsg'] < count($mails))
  echo "</a>";
?>
            </td>
          </tr>
        </table>
      </td>
    </tr>
  </table>
</div>
</body>
</html>
