<?
/*******************************************************************************
*    WMail 1.0. Webmail for PHP                                                *
*    Using DB Framwork for PHP  1.1.                                           *
*    Copyright (C) 2006 Luca Bertoncello                                       *
*    Hartigstrasse, 12 - 01127 Dresden Deutschland                             *
*    E-Mail: lucabert@lucabert.de, lucabert@lucabert.com                       *
*    http://www.lucabert.de/  http://www.lucabert.com/                         *
*                                                                              *
*    This program is free software; you can redistribute it and/or modify      *
*    it under the terms of the GNU General Public License as published by      *
*    the Free Software Foundation; version 2 of the License.                   *
*                                                                              *
*    This program is distributed in the hope that it will be useful,           *
*    but WITHOUT ANY WARRANTY; without even the implied warranty of            *
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             *
*    GNU General Public License for more details.                              *
*                                                                              *
*    You should have received a copy of the GNU General Public License         *
*    along with this program; if not, write to the Free Software               *
*    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA *
*******************************************************************************/

include_once("table.php");
include_once("email.inc.php");
include_once($authSystem);

class Recipient extends BaseList
{
  var $type, $addr;
  var $types = array();

  function Recipient($id, $type = '', $addr = '')
  {
    $this->types['to'] = _('An');
    $this->types['cc'] = _('Cc');
    $this->types['bcc'] = _('Bcc');
    $this->id = $id;
    $this->className = 'recipient';
    $this->type = $type;
    $this->addr = $addr;
    if(strpos($this->addr, '(by way of ') != 0)
      $this->addr = substr($this->addr, 0, strpos($this->addr, '(by way of ') - 1);
  }

  function checkDataFormDelete($formName, $tClass, $myid)
  {
    return true;
  }

  function checkDataForm($formName, $tClass)
  {
    global $auth;

    $add = $_REQUEST[$formName.'_field_addr'];
    if($add == '')
    {
      $this->errorForm = _('Keine E-Mail Adresse eingegeben');
      return false;
    }
    if(strpos($add, '<') != 0)
    {
      $add = substr($add, strpos($add, '<') + 1, strpos($add, '>') - strpos($add, '<') - 1);
      if(!isValidEmail($add))
      {
        $this->errorForm = _('Ung&uuml;ltige E-Mail Adresse');
        return false;
      }
    }
    else
    {
      $res = dbQuery("SELECT email FROM addressbook WHERE account = '".$auth->getAccountname()."' AND LOWER(nick) like '%".strtolower($add)."%'");
      $val = dbFetchArray($res);
      if($val[0] == '')
        if(!isValidEmail($add))
        {
          $this->errorForm = _('Ung&uuml;ltige E-Mail Adresse');
          return false;
        }
    }
    return true;
  }

  function setDataForm($formName, $tClass)
  {
    global $auth;

    $this->type = $_REQUEST[$formName.'_field_type'];
    $this->addr = $_REQUEST[$formName.'_field_addr'];
    if(strpos($add, '<') == 0)
    {
      $ladd = strtolower($this->addr);
      $res = dbQuery("SELECT name, email FROM addressbook WHERE account = '".$auth->getAccountname()."' AND (LOWER(nick) like '%$ladd%' OR LOWER(email) = '$ladd')");
      $val = dbFetchArray($res);
      if($val[0] != '')
        $this->addr = "$val[0] <$val[1]>";
    }
  }

  function display($startTemplate, $endTemplate, $widths = array())
  {
    $stTem = str_replace('>', ' style="border-left-width:0px;border-right-width:0px;border-bottom-width:0px;border-top-width:0px;">', $startTemplate);
    $stTem = str_replace('%%WIDTH%%', $widths[0], $stTem);
    print "$stTem$bold1".htmlentities($this->types[$this->type])."$bold2$endTemplate\n";
    $stTem = str_replace('>', ' style="border-right-width:0px;border-bottom-width:0px;border-top-width:0px;">', $startTemplate);
    $stTem = str_replace('%%WIDTH%%', $widths[1], $stTem);
    if($_SESSION['session']['width'] < 800)
    {
      if(strlen($this->addr) > 30)
        $addr = substr($this->addr, 0, 30).'...';
      else
        $addr = $this->addr;
    }
    else
      $addr = $this->addr;

    print "$stTem$bold1".htmlentities($addr)."$bold2$endTemplate\n";
  }

  function getFields()
  {
    return array($this->type, $this->addr);
  }

  function fields()
  {
    return array('type', 'addr');
  }

  function displayFieldsForEdit($formName, $field, $selected)
  {
    if($field == 'type')
    {
      print "<SELECT STYLE=\"width:48px;\" NAME=\"$formName"."_field_$field\">\n";
      foreach(array_keys($this->types) as $t)
        if($t == $selected)
          print "<OPTION SELECTED VALUE=\"$t\">".$this->types[$t]."</OPTION>\n";
        else
          print "<OPTION VALUE=\"$t\">".$this->types[$t]."</OPTION>\n";
      print "</SELECT>\n";
    }
    if($field == 'addr')
      print "<INPUT TYPE=\"email\" SIZE=\"25\" ID=\"$formName"."_field_$field\" NAME=\"$formName"."_field_$field\" VALUE=\"$selected\">";
  }
}
?>
