<?
/*******************************************************************************
*    WMail 1.0. Webmail for PHP                                                *
*    Using DB Framwork for PHP  1.1.                                           *
*    Copyright (C) 2006 Luca Bertoncello                                       *
*    Hartigstrasse, 12 - 01127 Dresden Deutschland                             *
*    E-Mail: lucabert@lucabert.de, lucabert@lucabert.com                       *
*    http://www.lucabert.de/  http://www.lucabert.com/                         *
*                                                                              *
*    This program is free software; you can redistribute it and/or modify      *
*    it under the terms of the GNU General Public License as published by      *
*    the Free Software Foundation; version 2 of the License.                   *
*                                                                              *
*    This program is distributed in the hope that it will be useful,           *
*    but WITHOUT ANY WARRANTY; without even the implied warranty of            *
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             *
*    GNU General Public License for more details.                              *
*                                                                              *
*    You should have received a copy of the GNU General Public License         *
*    along with this program; if not, write to the Free Software               *
*    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA *
*******************************************************************************/

require_once('auth.inc.php');
require_once('session.inc.php');
require_once('maillist.inc.php');
require_once('addbook.inc.php');
require_once('recipients.inc.php');
require_once('attribute.inc.php');
require_once('attachments.inc.php');
require_once('Mail.php');
require_once('Mail/mime.php');

$auth = $session[auth_data];
$recipient = new Table('recipient', "compose.php?sid=".session_id()."&recipient_class=Recipient", false, true, true);
$addbook = new Table('addbook', "addbook.php?sid=".session_id()."&addbook_class=AddBook", false, false, false);
if($redirect != 'true')
  $attachment = new Table('attachment', "compose.php?sid=".session_id()."&attachment_class=Attachment", false, false, true);
else
  $attachment = new Table('attachment', "compose.php?sid=".session_id()."&attachment_class=Attachment", false, false, false);

if(count($auth->getAliases()) == 0)
{
  header("LOCATION: prefs.php?sid=".session_id());
  exit();
}

dbConnect();
if($replyMsg != '') $rMsg = $replyMsg;
if($replyAllMsg != '') $rMsg = $replyAllMsg;
if($forwardMsg != '') $rMsg = $forwardMsg;
if($rMsg != '')
{
  if($replyMsg != '' || $replyAllMsg != '')
  {
    $prefix = getAttribute('ANSWERPREFIX', _('AW:'));
    $quoteSymbol = getAttribute('ANSWERQUOTESYMBOL', '>');
    $quoteString = getAttribute('ANSWERQUOTESTRING', '%f '._('schrieb').":\n%Q");
  }
  else
  {
    $prefix = getAttribute('FORWARDPREFIX', _('WG:'));
    $quoteSymbol = getAttribute('FORWARDQUOTESYMBOL', '>');
    $quoteString = getAttribute('FORWARDQUOTESTRING', "\n"._('Weitergeleitete Nachricht').":\n\n"._('Datum').": %d\n"._('Von').": %f\n"._('An').": %t\n"._('Cc').": %c\n"._('Betreff').": %s\n\n%m");
  }
  $prefix = trim($prefix, ' :');
  if($prefix)
  $mail = readMail(getCurAcc($auth, $setMailbox), $rMsg);
  $mailHeaders = $mail['Headers'];
  $mailBody = $mail['Body'];
  foreach(array_keys($mailHeaders) as $h)
  {
    if(strtoupper($h) == 'X-PRIORITY')
      $priority = substr($mailHeaders[$h], 0, 1);
    if(strtoupper($h) == 'REPLY-TO')
      $replyTo = $mailHeaders[$h];
    if(strtoupper($h) == 'SENDER')
      $sender = $mailHeaders[$h];
    if(strtoupper($h) == 'FROM')
      $from = $mailHeaders[$h];
    if(strtoupper($h) == 'TO')
      $to = $mailHeaders[$h];
    if(strtoupper($h) == 'CC')
      $cc = $mailHeaders[$h];
    if(strtoupper($h) == 'MESSAGE-ID')
      $origMsgId = $mailHeaders[$h];
    if(strtoupper($h) == 'SUBJECT')
    {
      if($redirect != 'true')
        $subject = $prefix.': '.terseSubject($prefix, decodeHeader($mailHeaders[$h], _('Kein Betreff')));
      else
        $subject = decodeHeader($mailHeaders[$h], _('Kein Betreff'));
    }
  }
  if($redirect == 'true')
  {
    $origTo = $to;
    $origCc = $cc;
  }
  if($replyMsg != '' || $replyAllMsg != '')
  {
    if($replyTo != '')
      $recipient->addLine(new Recipient(1, 'to', $replyTo));
    else if($sender != '')
      $recipient->addLine(new Recipient(1, 'to', $sender));
    else
      $recipient->addLine(new Recipient(1, 'to', $from));
  }
  if($replyAllMsg != '')
  {
    if($to != '')
      foreach(explode(',', $to) as $r)
      {
        $r = ltrim($r);
        if(strpos($r, '<') != 0)
          $add = strtolower(substr($r, strpos($r, '<') + 1, strpos($r, '>') - strpos($r, '<') - 1));
        else
          $add = strtolower($r);
        $canAdd = 1;
        foreach($auth->getAliases() as $identity)
          if(strtolower($identity['Aliasname']) == $add)
            $canAdd = 0;
        if($canAdd == 1)
          $recipient->addLine(new Recipient(1, 'to', $r));
      }
    if($cc != '')
      foreach(explode(',', $cc) as $r)
      {
        $r = ltrim($r);
        if(strpos($r, '<') != 0)
          $add = strtolower(substr($r, strpos($r, '<') + 1, strpos($r, '>') - strpos($r, '<') - 1));
        else
          $add = strtolower($r);
        $canAdd = 1;
        foreach($auth->getAliases() as $identity)
          if(strtolower($identity['Aliasname']) == $add)
            $canAdd = 0;
        if($canAdd == 1)
          $recipient->addLine(new Recipient(1, 'cc', $r));
      }
  }
  if($redirect != 'true')
  {
    if($to != '')
      foreach(explode(',', $to) as $r)
      {
        if(strpos($r, '<') != 0)
          $add = strtolower(substr($r, strpos($r, '<') + 1, strpos($r, '>') - strpos($r, '<') - 1));
        else
          $add = strtolower($r);
        foreach($auth->getAliases() as $identity)
          if(strtolower($identity['Aliasname']) == $add)
            $fromAddr = $add;
      }
    if($fromAddr == '' && $cc != '')
      foreach(explode(',', $cc) as $r)
      {
        if(strpos($r, '<') != 0)
          $add = strtolower(substr($r, strpos($r, '<') + 1, strpos($r, '>') - strpos($r, '<') - 1));
        else
          $add = strtolower($r);
        foreach($auth->getAliases() as $identity)
          if(strtolower($identity['Aliasname']) == $add)
            $fromAddr = $add;
      }
  }
  else
    $fromAddr = $from;

  $genMsg = generateMessageBody($mailBody, ($redirect != 'true') ? $quoteSymbol : '', ($redirect != 'true') ? $quoteString : '%m', ($forwardMsg != '') ? 1 : 0, ($redirect != 'true') ? 'f' : 't');
  $message = $genMsg['BODY'];
  if($forwardMsg != '')
  {
    foreach($genMsg['ATTACHMENTS'] as $att)
      $attachment->addLine($att);
    $attachment->saveToDBSession(session_id());
  }
}

if($action == 'new')
{
  if($forwardMsg == '')
  {
    $attachment->loadFromDBSession(session_id());
    foreach($attachment->lines as $att)
      unlink($att->fname);
    $attachment->deleteFromDBSession(session_id());
    $attachment->deleteLines();
  }
  if($replyMsg == '' && $replyAllMsg == '' && $forwardMsg == '')
    $recipient->deleteFromDBSession(session_id());
  if($fromAddr == '')
    foreach($auth->getAliases() as $identity)
    {
      $al = $identity['Aliasname'];
      $na = $identity['Name'];
      if($identity['IsDefault'] == 't')
        $fromAddr = $al;
    }
  if($redirect != 'true')
    $copySent = getAttribute('COPYSENT', 'yes');
  else
    $copySent = 'no';
  $defaultBcc = getAttribute('DEFAULTBCC', '');
  $signature = getAttribute('SIGNATURE', '');
  if($signature != '' && $redirect != 'true')
    $message .= "\n--\n$signature";
  if($defaultBcc != '')
    $recipient->addLine(new Recipient(1, 'bcc', $defaultBcc));
  if($sendTo != '')
  {
    $res = dbQuery("SELECT name, email FROM addressbook WHERE account = '".$auth->getAccountname()."' AND nick = '$sendTo'");
    $val = dbFetchArray($res);
    $recipient->addLine(new Recipient(count($recipient->lines) + 1, 'to', "$val[0] <$val[1]>"));
  }
  $recipient->saveToDBSession(session_id());
  $res = dbQuery("SELECT id, nick, name, email FROM addressbook WHERE account = '".$auth->getAccountname()."' ORDER BY nick");
  while($val = dbFetchArray($res))
    $addbook->addLine(new AddBook($val[0], $val[1], $val[2], $val[3]));
  $addbook->saveToDBSession(session_id());
}
else
{
  $attachment->loadFromDBSession(session_id());
  $addbook->loadFromDBSession(session_id());
  $recipient->loadFromDBSession(session_id());
}
$subject = str_replace("\'", "'", $subject);
$subject = str_replace("\\\"", "\"", $subject);
$subject = str_replace("\\\\", "\\", $subject);
$message = str_replace("\'", "'", $message);
$message = str_replace("\\\"", "\"", $message);
$message = str_replace("\\\\", "\\", $message);

if($addTo != '' || $addCc != '' || $addBcc != '')
{
  if($addTo != '')
    $type = 'to';
  if($addCc != '')
    $type = 'cc';
  if($addBcc != '')
    $type = 'bcc';
  if(is_array($selAddBook))
  {
    foreach($selAddBook as $add)
    {
      $res = dbQuery("SELECT name, email FROM addressbook WHERE account = '".$auth->getAccountname()."' AND nick = '$add'");
      $val = dbFetchArray($res);
      $recipient->addLine(new Recipient(count($recipient->lines) + 1, $type, "$val[0] <$val[1]>"));
    }
    $recipient->saveToDBSession(session_id());
  }
}

if($recipient->hasToWork() && $send == '' && $back == '' && $addTo == '' && $addCc == '' && $addBcc == '')
{
  $recipient->manage();
  $recipient->saveToDBSession(session_id());
}
if($attachment->hasToWork() && $send == '' && $back == '' && $addTo == '' && $addCc == '' && $addBcc == '')
{
  $attachment->manage();
  $attachment->saveToDBSession(session_id());
}
dbDisconnect();

if($send != '' && count($recipient->lines) == 0)
  $sendError = _('Kein Empf&auml;nger eingegeben');

if($back != '' || $send != '' && $sendError == '')
{
  dbConnect();
  $xFace = getAttribute('XFACE', '');
  $userHeader = getAttribute('USERHEADER_HEADER', '');
  $userHeaderData = getAttribute('USERHEADER_DATA', '');
  $attachment->loadFromDBSession(session_id());
  $recipient->loadFromDBSession(session_id());
  if($send != '')
  {
    $unames  = posix_uname();
    $toSendRecipients = array();
    $headerTo = '';
    $headerCc = '';
    foreach($recipient->lines as $rec)
    {
      list($n, $a) = explode('<', $rec->addr);
      $n = chop($n);
      $a = str_replace('>', '', $a);
      $str = preg_replace('~([\xA0-\xFF])~e', '"=".strtoupper(dechex(ord("$1")))', $n);
      if($str != $n)
        $str = '=?ISO-8859-1?Q?'.$str.'?=';
      if($a == '')
        array_push($toSendRecipients, "$str");
      else
        array_push($toSendRecipients, "$str <$a>");
      if($rec->type == 'to')
      {
        if($headerTo != '')
          $headerTo .= ', ';
        if($a == '')
          $headerTo .= "$str";
        else
          $headerTo .= "$str <$a>";
      }
      if($rec->type == 'cc')
      {
        if($headerCc != '')
          $headerCc .= ', ';
        if($a == '')
          $headerCc .= "$str";
        else
          $headerCc .= "$str <$a>";
      }
    }
    if($redirect != 'true')
    {
      foreach($auth->getAliases() as $identity)
      {
        $al = $identity['Aliasname'];
        $na = $identity['Name'];
        if($fromAddr == $al)
          $senderAddr = "$na <$al>";
      }
      if($copySent == 'yes')
      {
        list($n, $a) = explode('<', $senderAddr);
        $n = chop($n);
        $a = str_replace('>', '', $a);
        $str = preg_replace('~([\xA0-\xFF])~e', '"=".strtoupper(dechex(ord("$1")))', $n);
        if($str != $n)
          $str = '=?ISO-8859-1?Q?'.$str.'?=';
        array_push($toSendRecipients, "$str <$a>");
      }
    }
    else
    {
      foreach($auth->getAliases() as $identity)
        if($identity['IsDefault'] == 't')
        {
          if($copySent == 'yes')
          {
            list($n, $a) = explode('<', $identity['Aliasname']);
            $n = chop($n);
            $a = str_replace('>', '', $a);
            $str = preg_replace('~([\xA0-\xFF])~e', '"=".strtoupper(dechex(ord("$1")))', $n);
            if($str != $n)
              $str = '=?ISO-8859-1?Q?'.$str.'?=';
            array_push($toSendRecipients, "$str <$a>");
          }
          $resendFrom = $identity['Name'].' <'.$identity['Aliasname'].'>';
          $senderAl = $identity['Aliasname'];
        }
      $senderAddr = "$fromAddr (by way of $resendFrom)";
    }

    $hdrs = array(
                  'From' => $senderAddr,
                  'To' => $headerTo,
                  'Subject' => $subject,
                  'Message-Id' => '<'.date('YmdHis').'.'.posix_getpid().'@'.$unames[nodename].'>',
                  'Date' => date('r'),
                  'X-Originating-IP' => $session[host],
                  'X-Mailer' => "WMail $WMAILVERSION: a Webmail for PHP. PHP/".phpversion()
                  );
    if($redirect == 'true')
    {
      $hdrs['Return-Path'] = $senderAl;
      $hdrs['Resent-From'] = $resendFrom;
      $hdrs['Resent-To'] = $headerTo;
      $hdrs['To'] = $origTo;
      if($origCc != '')
        $hdrs['Cc'] = $origCc;
      $hdrs['Message-Id'] = $origMsgId;
      $hdrs['Resent-Date'] = date('r');
      $hdrs['Resent-Message-Id'] = '<'.date('YmdHis').'.'.posix_getpid().'@'.$unames[nodename].'>';
    }
    if($myInReplyTo != '')
    {
      $hdrs['In-reply-to'] = $myInReplyTo;
      $hdrs['References'] = $myReferences;
    }
    if($priority != '' && $priority != '3')
    {
      $p = encodePriority($priority);
      $hdrs['Importance'] = $p['IMPORTANCE'];
      $hdrs['X-Priority'] = $p['XPRIORITY'];
    }
    if($xFace != '' && $redirect != 'true')
      $hdrs['X-Face'] = $xFace;
    if($userHeader != '' && $redirect != 'true')
      $hdrs[$userHeader] = $userHeaderData;
    if($headerCc != '' && $redirect != 'true')
      $hdrs['Cc'] = $headerCc;

    $mime = new Mail_mime("\n");

    $mime->setTXTBody(wordwrap($message, 80));
    $htmlBody = '';
    foreach($attachment->lines as $att)
    {
      if(strpos($att->ctype, 'html') != 0)
        $htmlBody = $att->fname;
      else
        $mime->addAttachment($att->fname, $att->ctype, $att->name);
    }
    if($htmlBody != '')
      $mime->setHTMLBody($htmlBody, TRUE);

    $body = $mime->get();
    $hdrs = $mime->headers($hdrs);

    $curAcc = getCurAcc($auth, $setMailbox);
    $mail =& Mail::factory('smtp', array('host' => $curAcc['SMTP'], 'auth' => $curAcc['SMTP-Auth'], 'username' => $curAcc['SMTP-User'], 'password' => $curAcc['SMTP-Pwd'], 'localhost' => $unames[nodename]));
    $ret = $mail->send($toSendRecipients, $hdrs, $body);
  }
  foreach($attachment->lines as $att)
    unlink($att->fname);
  $attachment->deleteFromDBSession(session_id());
  $addbook->deleteFromDBSession(session_id());
  $recipient->deleteFromDBSession(session_id());
  dbDisconnect();
  if($sendTo != '')
    header("LOCATION: addbook.php?sid=".session_id());
  else
  {
    if($returnToMsg != '')
      header("LOCATION: view.php?sid=".session_id()."&setMailbox=$setMailbox&msg=$returnToMsg&isSent=$isSent");
    else
      header("LOCATION: main.php?sid=".session_id()."&setMailbox=$setMailbox");
  }
  exit();
}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<title><? echo _('WMail: ein Webmail f&uuml;r PHP'); ?></title>
<meta content='width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0' name='viewport' />
<meta name="viewport" content="width=device-width" />
<link href="/images/default.css" rel="stylesheet" type="text/css">
<link href="/images/mobile.css" media='all and (max-width: 839px)' rel="stylesheet" type="text/css"  />
<link rel="shortcut icon" href="/images/wmlogo.ico" >
</head>
<body>
<?
include_once 'menu.inc.php';
include_once 'mailboxes.inc.php';
?>
<form enctype="multipart/form-data" name="compose" method="post" action="compose.php?sid=<? print session_id(); ?>">
<?
if($redirect != '')
{
  print "<input type=\"hidden\" name=\"redirect\" value=\"$redirect\">\n";
  print "<input type=\"hidden\" name=\"origMsgId\" value=\"$origMsgId\">\n";
  print "<input type=\"hidden\" name=\"origTo\" value=\"$origTo\">\n";
  print "<input type=\"hidden\" name=\"origCc\" value=\"$origCc\">\n";
}
if($sendTo != '')
  print "<input type=\"hidden\" name=\"sendTo\" value=\"$sendTo\">\n";
if($replyMsg != '')
  print "<input type=\"hidden\" name=\"returnToMsg\" value=\"$replyMsg\">\n";
if($replyAllMsg != '')
  print "<input type=\"hidden\" name=\"returnToMsg\" value=\"$replyAllMsg\">\n";
if($forwardMsg != '')
  print "<input type=\"hidden\" name=\"returnToMsg\" value=\"$forwardMsg\">\n";
if($replyMsg != '' || $replyAllMsg != '' || $forwardMsg != '' || $returnToMsg != '')
  print "<input type=\"hidden\" name=\"setMailbox\" value=\"$setMailbox\">\n<input type=\"hidden\" name=\"isSent\" value=\"$isSent\">\n";
if($returnToMsg != '')
  print "<input type=\"hidden\" name=\"returnToMsg\" value=\"$returnToMsg\">\n";
if($myInReplyTo != '')
  print "<input type=\"hidden\" name=\"myInReplyTo\" value=\"<$myMessageId>\">\n<input type=\"hidden\" name=\"myReferences\" value=\"$myReferences <$myMessageId>\">\n";
if($replyMsg != '' || $replyAllMsg != '')
{
  foreach(array_keys($mailHeaders) as $h)
  {
    if(strtoupper($h) == 'MESSAGE-ID')
      $myMessageId = str_replace('<', '', str_replace('>', '', $mailHeaders[$h]));
    if(strtoupper($h) == 'REFERENCES')
      $myReferences = $mailHeaders[$h];
  }
  print "<input type=\"hidden\" name=\"myInReplyTo\" value=\"<$myMessageId>\">\n<input type=\"hidden\" name=\"myReferences\" value=\"".ltrim("$myReferences <$myMessageId>")."\">\n";
}
?>
<div id="compose">
  <table id="tableCompose" cellpadding="0" cellspacing="0">
    <tr>
      <td class="addbook">
        <table cellpadding="0" cellspacing="0" border="0" id="composeTable">
          <tr>
            <td width="600" style="height:5px;" colspan="2"></td>
          </tr>
          <tr>
            <td valign="top" class="title compose" colspan="2"><? echo _('Nachricht verfassen').':'; ?><br><br></td>
          </tr>
          <tr>
            <td width="600" style="height:5px;" colspan="2"></td>
          </tr>
          <tr>
            <td id="composeInfo" width="400" valign="top">
              <table width="400" cellpadding="0" cellspacing="0">
                <tr>
                  <td width="50"><? echo _('Von').':'; ?></td>
                  <td width="350"><select name="fromAddr" id="fromAddr">
<?
if($redirect != 'true')
  foreach($auth->getAliases() as $identity)
  {
    $al = $identity['Aliasname'];
    $na = $identity['Name'];
    if($fromAddr == $al)
      echo "<option selected value=\"$al\">$na&nbsp;&lt;$al&gt;</option>\n";
    else
      echo "<option value=\"$al\">$na&nbsp;&lt;$al&gt;</option>\n";
  }
else
  echo "<option selected value=\"$fromAddr\">".htmlentities($fromAddr)."</option>\n";

$recTableW = 400;
if(count($recipient->lines) > 4)
{
  $divHeight = 92;
  $w1 = 50;
  $w2 = 298;
  $w3 = 52;
}
else
{
  if(count($recipient->lines) == 0)
    $divHeight = 23;
  else
    $divHeight = 23 * count($recipient->lines);
  $w1 = 50;
  $w2 = 298;
  $w3 = 52;
}
if($_SESSION['session']['width'] < 800 && count($recipient->lines) != 0)
{
  $w2 = 228;
  $recTableW = 330;
}
?>
                  </select></td>
                </tr>
                <tr>
                  <td width="400" colspan="2" style="height:5px;"></td>
                </tr>
                <tr>
                  <td width="400" colspan="2">
                    <div id="Layer1" style="<? if(count($recipient->lines) > 4) print "overflow: auto; "; ?> height: <? print $divHeight; ?>px;">
<?
  $recipient->displayTable($recTableW, 0, 0, array($w1, $w2, $w3), 0, 2, 'recipient', '/images/edit.png', '/images/delete.png', 'left', $recipient->TABLEIMAGE);
?>
                    </div>
                  </td>
                </tr>
                <tr>
                  <td width="400" colspan="2" style="height:5px;"></td>
                </tr>
<?
  if($recipient->errors || $sendError != '')
  {
?>
                <tr>
                  <td colspan="2" width="400" class="error" style="height:15px;"><? if($sendError != '') echo $sendError; else echo $aliasError; ?></td>
                </tr>
<?
  }
?>
                <tr>
                  <td colspan="2" id="recipientTable">
<?
  $recipient->displayEditNew('Recipient', '100%', 0, 0, 1, 1, 2, $recipient->TABLEIMAGE);
?>
                  </td>
                </tr>
                <tr>
                  <td colspan="2" width="400" style="height:5px;"></td>
                </tr>
                <tr>
                  <td colspan="2" width="400">
                    <table width="400" cellpadding="0" cellspacing="0">
                      <tr>
                        <td valign="top" align="left" width="270" style="font-weight:normal;font-size:10px;"><? echo _('Nachricht unter "Gesendet" speichern').':'; ?><br><input type="Radio" name="copySent" style="font-weight:normal;font-size:8px;" value="yes"<? if($copySent == 'yes') echo 'checked="Checked"'; ?>>&nbsp;<? echo _('Ja'); ?>&nbsp;&nbsp;<input type="Radio" name="copySent" style="font-weight:normal;font-size:8px;" value="no"<? if($copySent == 'no') echo 'checked="Checked"'; ?>>&nbsp;<? echo _('Nein'); ?></td>
                        <td valign="top" align="left" width="130" style="font-weight:normal;font-size:10px;" id="tdPriority">
                          <? echo _('Priorit&auml;t').':'; ?>&nbsp;<select name="priority" size="1" style="width:80px;font-size:10px;">
<?
  if($redirect != 'true')
  {
?>
                            <option<? if($priority == '1') echo " selected"; ?> value="1"><? echo _('H&ouml;chste'); ?></option>
                            <option<? if($priority == '2') echo " selected"; ?> value="2"><? echo _('Hoch'); ?></option>
                            <option<? if($priority == '3' || $priority == '') echo " selected"; ?> value="3"><? echo _('Normal'); ?></option>
                            <option<? if($priority == '4') echo " selected"; ?> value="4"><? echo _('Niedrig'); ?></option>
                            <option<? if($priority == '5') echo " selected"; ?> value="5"><? echo _('Niedrigste'); ?></option>
<?
  }
  else
  {
    if($priority == '')
      $priority = 3;
    switch($priority)
    {
      case 1:
        $priorityStr = _('H&ouml;chste');
      break;
      case 2:
        $priorityStr = _('Hoch');
      break;
      case 3:
        $priorityStr = _('Normal');
      break;
      case 4:
        $priorityStr = _('Niedrig');
      break;
      case 5:
        $priorityStr = _('Niedrigste');
      break;
    }
?>
                            <option selected value="<? echo $priority; ?>"><? echo $priorityStr; ?></option>
<?
  }
?>
                          </select>
                        </td>
                      </tr>
                    </table>
                  </td>
                </tr>
                <tr>
                  <td colspan="2" width="400" style="height:5px;"></td>
                </tr>
              </table>
            </td>
<?
if(count($addbook->lines) > 5)
{
  $divHeight = 114;
  $w1 = 180;
}
else
{
  if(count($addbook->lines) == 0)
    $divHeight = 24;
  else
  {
    if($_SESSION['session']['width'] < 800)
      $divHeight = 30 * count($addbook->lines) + 1;
    else
      $divHeight = 24 * count($addbook->lines);
  }
  $w1 = 178;
}
?>
            <td width="200" valign="top" align="center" id="addbooktd">
              <div id="addbook" style="<? if(count($addbook->lines) > 4) print "overflow: auto; "; ?> height: <? print $divHeight; ?>px;">
<?
  $addbook->displayTable('100%', 0, 0, array($w1));
?>
              </div>
              <table width="200" cellpadding="0" cellspacing="0">
                <tr>
                  <td colspan="3" width="200" style="height:8px;"></td>
                </tr>
                <tr>
                  <td align="center" width="67"><input class="button addbook" type="submit" name="addTo" value="<? echo _('An'); ?>"></td>
                  <td align="center" width="66"><input class="button addbook" type="submit" name="addCc" value="<? echo _('Cc'); ?>"></td>
                  <td align="center" width="67"><input class="button addbook" type="submit" name="addBcc" value="<? echo _('Bcc'); ?>"></td>
                </tr>
              </table>
            </td>
          </tr>
        </table>
        <table id="composeContent" cellpadding="0" cellspacing="0" border="0">
          <tr>
            <td colspan="2" style="height:5px;"></td>
          </tr>
          <tr>
            <td width="50"><? echo _('Betreff').':'; ?></td>
            <td><input type="text"<? if($redirect == 'true') echo " readonly"; ?> name="subject" id="subject" value="<? echo htmlentities($subject); ?>"></td>
          </tr>
          <tr>
            <td colspan="2" style="height:5px;"></td>
          </tr>
          <tr>
            <td colspan="2">
              <textarea rows=15 cols=80 wrap="soft"<? if($redirect == 'true') echo " readonly"; ?> name="message" id="message">
<? echo $message; ?></textarea>
            </td>
          </tr>
          <tr>
            <td colspan="2" style="height:5px;"></td>
          </tr>
<?
if(count($attachment->lines) > 4)
{
  $divHeight = 80;
  $w1 = 550;
  $w2 = 30;
}
else
{
  if(count($attachment->lines) == 0)
    $divHeight = 20;
  else
    $divHeight = 20 * count($attachment->lines);
  $w1 = 560;
  $w2 = 20;
}
?>
          <tr>
            <td colspan="2">
              <div id="Attachments" style="<? if(count($attachment->lines) > 4) print "overflow: auto; "; ?> height: <? print $divHeight; ?>px;">
<?
  $attachment->displayTable(580, 0, 0, array($w1, $w2), 0, 2, 'attachment', '', '/images/delete.png', 'left', $attachment->TABLEIMAGE);
?>
              </div>
            </td>
          </tr>
          <tr>
            <td colspan="2" style="height:5px;"></td>
          </tr>
          <tr>
            <td colspan="2">
<?
  if($redirect != 'true')
    $attachment->displayEditNew('Attachment', '100%', 0, 0, 1, 1, 2, $attachment->TABLEIMAGE);
?>
            </td>
          </tr>
          <tr>
            <td colspan="2" style="height:15px;"></td>
          </tr>
          <tr>
            <td colspan="2">
              <table id="tableButtons" cellpadding="0" cellspacing="0" border="0">
                <tr>
                  <td align="left"><input type="submit" class="button compose" name="send" value="<? echo _('Senden'); ?>"></td>
                  <td align="right"><input type="submit" class="button compose" name="back" value="<? echo _('Abbrechen'); ?>"></td>
                </tr>
              </table>
            </td>
          </tr>
          <tr>
            <td colspan="2" style="height:5px;"></td>
          </tr>
        </table>
      </td>
    </tr>
  </table>
</div>
</form>
<?
if($_SESSION['session']['width'] < 800)
{
?>
<script type="text/javascript">
document.getElementById('composeContent').offsetTop = (document.getElementById('composeContent').offsetTop + <? if(count($recipient->lines) < 5) print count($recipient->lines) * 24; else print 110; ?>) + 'px';
</script>
<?
}
?>
</body>
</html>
