<?
/*******************************************************************************
*    WMail 1.0. Webmail for PHP                                                *
*    Using DB Framwork for PHP  1.1.                                           *
*    Copyright (C) 2006 Luca Bertoncello                                       *
*    Hartigstrasse, 12 - 01127 Dresden Deutschland                             *
*    E-Mail: lucabert@lucabert.de, lucabert@lucabert.com                       *
*    http://www.lucabert.de/  http://www.lucabert.com/                         *
*                                                                              *
*    This program is free software; you can redistribute it and/or modify      *
*    it under the terms of the GNU General Public License as published by      *
*    the Free Software Foundation; version 2 of the License.                   *
*                                                                              *
*    This program is distributed in the hope that it will be useful,           *
*    but WITHOUT ANY WARRANTY; without even the implied warranty of            *
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             *
*    GNU General Public License for more details.                              *
*                                                                              *
*    You should have received a copy of the GNU General Public License         *
*    along with this program; if not, write to the Free Software               *
*    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA *
*******************************************************************************/

require_once('auth.inc.php');
require_once('session.inc.php');

$auth = $session[auth_data];
$curAcc = getCurAcc($auth, $setMailbox);

$mail = readMail($curAcc, $msg);
$mailBody = $mail['Body'];
$nPart = 0;
if($isRFC822 == 'true')
{
  foreach($mailBody->parts as $p)
  {
    if($p->ctype_secondary == 'rfc822')
    {
      $nPart++;
      if($nPart == $part)
      {
        $attach = $p;
        break;
      }
    }
  }

  header("MIME-Version: 1.0");
  header("Content-Disposition: attachment; filename=\"Message_RFC822\"");
  $size = 0;
  foreach(array_keys($attach->parts[0]->headers) as $h)
    $size += strlen("$h: ".$attach->parts[0]->headers[$h]."\n");
  $size += strlen("\n".$attach->parts[0]->body);
  header("Content-Length: $size");
  header("Content-Type: ".$attach->ctype_primary.'/'.$attach->ctype_secondary."; name=\"Message_RFC822\"");
  foreach(array_keys($attach->parts[0]->headers) as $h)
    print "$h: ".$attach->parts[0]->headers[$h]."\n";
  print "\n".$attach->parts[0]->body;
}
else
{
  foreach($mailBody->parts as $p)
  {
    $nPart++;
    if(strcasecmp($p->ctype_primary, 'multipart') == 0)
    {
      foreach($p->parts as $p1)
      {
        if((strcasecmp($p1->disposition, 'attachment') == 0) || (strcasecmp($p1->ctype_primary, 'text') != 0) || (strcasecmp($p1->ctype_primary, 'image') == 0))
        {
          if($nPart == $part)
          {
            $attach = $p1;
            break;
          }
        }
      }
    }
    else if((strcasecmp($p->disposition, 'attachment') == 0) || (strcasecmp($p->ctype_primary, 'text') != 0) || (strcasecmp($p->ctype_primary, 'image') == 0))
    {
      if($nPart == $part)
      {
        $attach = $p;
        break;
      }
    }
  }

  if($attach->d_parameters['filename'] != '')
    $attachmentName = $attach->d_parameters['filename'];
  if($attach->ctype_parameters['name'] != '')
    $attachmentName = $attach->ctype_parameters['name'];

  header("MIME-Version: 1.0");
  header("Content-Disposition: attachment; filename=\"$attachmentName\"");
  header("Content-Length: ".strlen($attach->body));
  header("Content-Type: ".$attach->ctype_primary.'/'.$attach->ctype_secondary."; name=\"".$attach->d_parameters['filename']."\"");
  print $attach->body;
}
?>
