<?
/*******************************************************************************
*    WMail 1.0. Webmail for PHP                                                *
*    Using DB Framwork for PHP  1.1.                                           *
*    Copyright (C) 2006 Luca Bertoncello                                       *
*    Hartigstrasse, 12 - 01127 Dresden Deutschland                             *
*    E-Mail: lucabert@lucabert.de, lucabert@lucabert.com                       *
*    http://www.lucabert.de/  http://www.lucabert.com/                         *
*                                                                              *
*    This program is free software; you can redistribute it and/or modify      *
*    it under the terms of the GNU General Public License as published by      *
*    the Free Software Foundation; version 2 of the License.                   *
*                                                                              *
*    This program is distributed in the hope that it will be useful,           *
*    but WITHOUT ANY WARRANTY; without even the implied warranty of            *
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             *
*    GNU General Public License for more details.                              *
*                                                                              *
*    You should have received a copy of the GNU General Public License         *
*    along with this program; if not, write to the Free Software               *
*    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA *
*******************************************************************************/

$WMAILVERSION = '1.0';

class AuthData
{
  var $accountname;
  var $accounts = array();
  var $aliases = array();
  var $sentDir;

  var $AUTH_PLAIN = 'PLAIN';
  var $AUTH_LOGIN = 'LOGIN';
  var $AUTH_CRAMMD5 = 'CRAM-MD5';
  var $AUTH_DIGESTMD5 = 'DIGEST-MD5';

  function setAccountname($accN)
  {
    $this->accountname = $accN;
  }

  function getAccountName()
  {
    return $this->accountname;
  }

  function addAccount($name, $popS, $userPOP, $pwdPOP, $smtpS, $userSMTP, $pwdSMTP, $authType, $isDef, $sentDir = '')
  {
    array_push($this->accounts, array('Name' => $name,
                                      'POP3' => $popS,
                                      'POP3-User' => $userPOP,
                                      'POP3-Pwd' => $pwdPOP,
                                      'SMTP' => $smtpS,
                                      'SMTP-User' => $userSMTP,
                                      'SMTP-Pwd' => $pwdSMTP,
                                      'SMTP-Auth' => $authType,
                                      'IsDefault' => $isDef,
                                      'Sent' => $sentDir));
  }

  function getAccounts()
  {
    return $this->accounts;
  }

  function addAlias($name, $alias, $isDef)
  {
    array_push($this->aliases, array('Name' => $name, 'Aliasname' => $alias, 'IsDefault' => $isDef));
  }

  function getAliases()
  {
    return $this->aliases;
  }

  function resetAliases()
  {
    $this->aliases = array();
  }
}

?>
