<?
/*******************************************************************************
*    WMail 1.0. Webmail for PHP                                                *
*    Using DB Framwork for PHP  1.1.                                           *
*    Copyright (C) 2006 Luca Bertoncello                                       *
*    Hartigstrasse, 12 - 01127 Dresden Deutschland                             *
*    E-Mail: lucabert@lucabert.de, lucabert@lucabert.com                       *
*    http://www.lucabert.de/  http://www.lucabert.com/                         *
*                                                                              *
*    This program is free software; you can redistribute it and/or modify      *
*    it under the terms of the GNU General Public License as published by      *
*    the Free Software Foundation; version 2 of the License.                   *
*                                                                              *
*    This program is distributed in the hope that it will be useful,           *
*    but WITHOUT ANY WARRANTY; without even the implied warranty of            *
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             *
*    GNU General Public License for more details.                              *
*                                                                              *
*    You should have received a copy of the GNU General Public License         *
*    along with this program; if not, write to the Free Software               *
*    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA *
*******************************************************************************/

include_once("table.php");

class MailList extends BaseList
{
  var $fromAddr, $subject, $date, $size, $read, $isSent, $priority, $hasAttachments;

  function MailList($id, $fromAddr = '', $subject = '', $date = '', $size = '', $read, $isSent, $priority = '', $hasAttachments = '')
  {
    $this->id = $id;
    $this->className = 'maillist';
    $this->fromAddr = $fromAddr;
    $this->subject = $subject;
    $this->date = $date;
    $this->size = $size;
    $this->read = $read;
    $this->isSent = $isSent;
    $this->priority = $priority;
    $this->hasAttachments = $hasAttachments;
  }

  function checkDataFormDelete($formName, $tClass, $myid)
  {
  }

  function checkDataForm($formName, $tClass)
  {
  }

  function setDataForm($formName, $tClass)
  {
    $this->fromAddr = strtolower($_REQUEST[$formName.'_field_fromAddr']);
    $this->subject = strtolower($_REQUEST[$formName.'_field_subject']);
    $this->date = strtolower($_REQUEST[$formName.'_field_date']);
    $this->size = strtolower($_REQUEST[$formName.'_field_size']);
    $this->read = strtolower($_REQUEST[$formName.'_field_read']);
    $this->isSent = strtolower($_REQUEST[$formName.'_field_isSent']);
    $this->priority = strtolower($_REQUEST[$formName.'_field_priority']);
    $this->hasAttachments = strtolower($_REQUEST[$formName.'_field_hasAttachments']);
  }

  function display($startTemplate, $endTemplate, $widths = array())
  {
    global $curAcc;
    global $dateFormat;

    $readT1 = '';
    $readT2 = '';
    if($this->read == 'f')
    {
      $readT1 = '<b>';
      $readT2 = '</b>';
    }
    if($this->priority != '' && $this->priority != '3')
      $priorityStr = decodePriority($this->priority);
    else
      $priorityStr = '';
    if($this->hasAttachments == 't')
      $attachmentsStr = '<img src="/images/attachments.png" alt="'._('E-Mail hat Anh&auml;nge').'" title="'._('E-Mail hat Anh&auml;nge').'">';
    $href = '<a class="maillist" href="view.php?sid='.session_id().'&setMailbox='.$curAcc['Name'].'&msg='.$this->id.'&isSent='.$this->isSent.'">';
    $stTem = str_replace('>', ' ALIGN="LEFT">', $startTemplate);
    $stTem = str_replace('%%WIDTH%%', $widths[0], $stTem);
    print "$stTem<INPUT TYPE=\"CheckBox\" NAME=\"mail[]\" VALUE=\"".$this->id."\">$priorityStr$attachmentsStr$endTemplate\n";
    $stTem = str_replace('>', ' ALIGN="LEFT">', $startTemplate);
    $stTem = str_replace('%%WIDTH%%', $widths[1], $stTem);
    if($_SESSION['session']['width'] < 800)
    {
      $maxFromLen = 20;
      $maxFromLenCut = 10;
      $maxSubjLen = 40;
      $maxSubjLenCut = 35;
      $wwCut = true;
    }
    else
    {
      $maxFromLen = 50;
      $maxFromLenCut = 50;
      $maxSubjLen = 90;
      $maxSubjLenCut = 90;
      $wwCut = false;
    }
    if(strlen($this->fromAddr) > $maxFromLen)
    {
      $hrefS = '<a class="maillist" href="view.php?sid='.session_id().'&setMailbox='.$curAcc['Name'].'&msg='.$this->id.'&isSent='.$this->isSent.'" ALT="'.htmlentities($this->fromAddr).'" TITLE="'.htmlentities($this->fromAddr).'">';
      $fromAddr = wordwrap($this->fromAddr, $maxFromLenCut, '%%TOBREAK%%', $wwCut);
      $fromAddr = htmlentities(substr($fromAddr, 0, strpos($fromAddr, '%%TOBREAK%%'))).'<span style="font-size:10px;font-style:italic"> (weiter...)</span>';
    }
    else
    {
      $fromAddr = htmlentities($this->fromAddr);
      $hrefS = $href;
    }
    print "$stTem$readT1$hrefS$fromAddr</a>$readT2$endTemplate\n";
    $stTem = str_replace('>', ' ALIGN="LEFT">', $startTemplate);
    $stTem = str_replace('%%WIDTH%%', $widths[2], $stTem);
    if(strlen($this->subject) > $maxSubjLen)
    {
      $hrefS = '<a class="maillist" href="view.php?sid='.session_id().'&setMailbox='.$curAcc['Name'].'&msg='.$this->id.'&isSent='.$this->isSent.'" ALT="'.htmlentities($this->subject).'" TITLE="'.htmlentities($this->subject).'">';
      $subj = wordwrap($this->subject, $maxSubjLen, '%%TOBREAK%%', $wwCut);
      $subj = htmlentities(substr($subj, 0, strpos($subj, '%%TOBREAK%%'))).'<span style="font-size:10px;font-style:italic"> (weiter...)</span>';
    }
    else
    {
      $subj = htmlentities($this->subject);
      $hrefS = $href;
    }
    print "$stTem$readT1$hrefS$subj</a>$readT2$endTemplate\n";
    $d = $this->date;
    $stTem = str_replace('>', ' ALIGN="RIGHT">', $startTemplate);
    $stTem = str_replace('%%WIDTH%%', $widths[3], $stTem);
    print "$stTem$readT1$href".htmlentities($d->toString($dateFormat))."</a>$readT2$endTemplate\n";
    $stTem = str_replace('>', ' ALIGN="RIGHT">', $startTemplate);
    $stTem = str_replace('table0', 'mailSize table0', $stTem);
    $stTem = str_replace('%%WIDTH%%', $widths[4], $stTem);
    print "$stTem$readT1$href".htmlentities($this->size)."</a>$readT2$endTemplate\n";
  }

  function getFields()
  {
    return array($this->fromAddr, $this->subject, $this->date, $this->size);
  }

  function fields()
  {
    return array('fromAddr', 'subject', 'date', 'size');
  }

  function displayFieldsForEdit($formName, $field, $selected)
  {
  }
}
?>
